---
title: "Get shared"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › collections

`GET /v2/collections/{id}/shared`

## Path parameters

- `id` (`collection-get-shared.path.id`; string, required)
  - format `uuid`

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.sureshake.com/v2/collections/<id>/shared'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/collections/<id>/shared';
const options = {method: 'GET'};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/collections/<id>/shared"

response = requests.get(url)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "data": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "name": "string",
    "description": "string",
    "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
    "userId": "string",
    "parentId": "70850378-7d3c-4f45-91b7-942d4dfbbd43",
    "templateKey": "string",
    "externalSharingEnabled": true,
    "status": "string",
    "version": 0,
    "reportCount": 0,
    "childCount": 0,
    "subtreeReportCount": 0,
    "ancestors": [
      {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": "string"
      }
    ],
    "children": [
      {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": "string",
        "description": "string",
        "status": "string",
        "reportCount": 0,
        "childCount": 0,
        "subtreeReportCount": 0,
        "updatedAt": "2019-08-24T14:15:22Z"
      }
    ],
    "reports": [
      {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "title": "string",
        "description": "string",
        "report_type": "forecast",
        "status": "draft",
        "is_public": true,
        "owner_id": "string",
        "entity_id": "8161163a-f227-466f-bc01-090a01e80165",
        "linked_report_id": "76246679-3292-4dc2-907d-bbc7b92e9b96",
        "fiscal_period_start": "2019-08-24T14:15:22Z",
        "fiscal_period_end": "2019-08-24T14:15:22Z",
        "ipfs_hash": "string",
        "ipfs_url": "string",
        "document_key": "string",
        "document_type": "string",
        "nft_address": "string",
        "nft_token_id": "string",
        "transaction_hash": "string",
        "data": {
          "property1": null,
          "property2": null
        },
        "created_at": "2019-08-24T14:15:22Z",
        "updated_at": "2019-08-24T14:15:22Z",
        "view_delivery": {
          "status": "ready",
          "receiptId": "4937ce52-e283-4321-b00f-c29b6dd5d0e9",
          "source": "share",
          "expiresAt": "2019-08-24T14:15:22Z",
          "policyVersion": "report-view-delivery-v2"
        },
        "collection_ids": [
          "497f6eca-6276-4993-bfeb-53cbbbba6f08"
        ],
        "tags": [
          {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "name": "string",
            "visibility": "private"
          }
        ]
      }
    ],
    "sharePermission": "viewer",
    "creditInfoSheets": [
      {
        "property1": null,
        "property2": null
      }
    ],
    "loanPackages": [
      {
        "property1": null,
        "property2": null
      }
    ],
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z"
  },
  "meta": {
    "timestamp": "2019-08-24T14:15:22Z"
  }
}
```

- `data` (`collection-get-shared.response.200.data`; object, required)
  - `id` (`collection-get-shared.response.200.data.id`; string, required)
    - format `uuid`
  - `name` (`collection-get-shared.response.200.data.name`; string, required)
    - minLength 1; maxLength 255
  - `description` (`collection-get-shared.response.200.data.description`; string, required, nullable)
  - `entityId` (`collection-get-shared.response.200.data.entityId`; string, required)
    - format `uuid`
  - `userId` (`collection-get-shared.response.200.data.userId`; string, required)
  - `parentId` (`collection-get-shared.response.200.data.parentId`; string, required, nullable)
    - format `uuid`
  - `templateKey` (`collection-get-shared.response.200.data.templateKey`; string, required, nullable)
  - `externalSharingEnabled` (`collection-get-shared.response.200.data.externalSharingEnabled`; boolean, required)
  - `status` (`collection-get-shared.response.200.data.status`; string, required)
  - `version` (`collection-get-shared.response.200.data.version`; number, required)
  - `createdAt` (`collection-get-shared.response.200.data.createdAt`; string, required)
    - format `date-time`
  - `updatedAt` (`collection-get-shared.response.200.data.updatedAt`; string, required)
    - format `date-time`
  - `reportCount` (`collection-get-shared.response.200.data.reportCount`; number, optional)
  - `childCount` (`collection-get-shared.response.200.data.childCount`; number, optional)
  - `subtreeReportCount` (`collection-get-shared.response.200.data.subtreeReportCount`; number, optional)
  - `ancestors` (`collection-get-shared.response.200.data.ancestors`; array<object>, optional)
    - `id` (`collection-get-shared.response.200.data.ancestors.id`; string, required)
      - format `uuid`
    - `name` (`collection-get-shared.response.200.data.ancestors.name`; string, required)
  - `children` (`collection-get-shared.response.200.data.children`; array<object>, optional)
    - `id` (`collection-get-shared.response.200.data.children.id`; string, required)
      - format `uuid`
    - `name` (`collection-get-shared.response.200.data.children.name`; string, required)
    - `description` (`collection-get-shared.response.200.data.children.description`; string, required, nullable)
    - `status` (`collection-get-shared.response.200.data.children.status`; string, required)
    - `reportCount` (`collection-get-shared.response.200.data.children.reportCount`; integer, required)
      - min 0
    - `childCount` (`collection-get-shared.response.200.data.children.childCount`; integer, required)
      - min 0
    - `subtreeReportCount` (`collection-get-shared.response.200.data.children.subtreeReportCount`; integer, required)
      - min 0
    - `updatedAt` (`collection-get-shared.response.200.data.children.updatedAt`; string, required)
      - format `date-time`
  - `reports` (`collection-get-shared.response.200.data.reports`; array<object>, optional)
    - `id` (`collection-get-shared.response.200.data.reports.id`; string, required)
      - format `uuid`
    - `title` (`collection-get-shared.response.200.data.reports.title`; string, required)
    - `report_type` (`collection-get-shared.response.200.data.reports.report_type`; string, required)
      - one of `"forecast"`, `"projection"`, `"actual"`, `"formal_report"`, `"periodic_report"`, `"annual_report"`, `"quarterly_report"`, `"audit_report"`, `"compliance_report"`, `"clinical_trial"`, `"supply_chain"`, `"legal_document"`, `"government_filing"`, `"esg_report"`, `"kyc_resume"`, `"kyc_identity"`, `"kyc_address"`, `"kyc_selfie"`, `"kyc_complete"`, `"netsuite_ar_aging"`, `"netsuite_ap_aging"`, `"netsuite_inventory_aging"`, `"netsuite_customer_concentration"`, `"netsuite_vendor_concentration"`, `"netsuite_inventory_turnover"`, `"netsuite_financial_condition"`, `"netsuite_sales_bookings"`, `"netsuite_income_statement"`, `"netsuite_balance_sheet"`, `"netsuite_trial_balance"`, `"netsuite_cash_flows"`, `"netsuite_forecast"`, `"brokerage_statement"`, `"investor_report"`
    - `status` (`collection-get-shared.response.200.data.reports.status`; string, required)
      - one of `"draft"`, `"uploading"`, `"attributes_added"`, `"ipfs_generated"`, `"submitted"`, `"verified"`, `"minted"`, `"archived"`
    - `is_public` (`collection-get-shared.response.200.data.reports.is_public`; boolean, required)
    - `owner_id` (`collection-get-shared.response.200.data.reports.owner_id`; string, required)
    - `created_at` (`collection-get-shared.response.200.data.reports.created_at`; string, required)
      - format `date-time`
    - `updated_at` (`collection-get-shared.response.200.data.reports.updated_at`; string, required)
      - format `date-time`
    - `description` (`collection-get-shared.response.200.data.reports.description`; string, optional, nullable)
    - `entity_id` (`collection-get-shared.response.200.data.reports.entity_id`; string, optional, nullable)
      - format `uuid`
    - `linked_report_id` (`collection-get-shared.response.200.data.reports.linked_report_id`; string, optional, nullable)
      - format `uuid`
    - `fiscal_period_start` (`collection-get-shared.response.200.data.reports.fiscal_period_start`; string, optional, nullable)
      - format `date-time`
    - `fiscal_period_end` (`collection-get-shared.response.200.data.reports.fiscal_period_end`; string, optional, nullable)
      - format `date-time`
    - `ipfs_hash` (`collection-get-shared.response.200.data.reports.ipfs_hash`; string, optional, nullable)
    - `ipfs_url` (`collection-get-shared.response.200.data.reports.ipfs_url`; string, optional, nullable)
    - `document_key` (`collection-get-shared.response.200.data.reports.document_key`; string, optional, nullable)
    - `document_type` (`collection-get-shared.response.200.data.reports.document_type`; string, optional, nullable)
    - `nft_address` (`collection-get-shared.response.200.data.reports.nft_address`; string, optional, nullable)
    - `nft_token_id` (`collection-get-shared.response.200.data.reports.nft_token_id`; string, optional, nullable)
    - `transaction_hash` (`collection-get-shared.response.200.data.reports.transaction_hash`; string, optional, nullable)
    - `data` (`collection-get-shared.response.200.data.reports.data`; map<unknown>, optional, nullable)
    - `view_delivery` (`collection-get-shared.response.200.data.reports.view_delivery`; any of, optional)
      - any of:
        - `object`
          - `status` (`collection-get-shared.response.200.data.reports.view_delivery.1.status`; string, required)
            - one of `"ready"`
          - `receiptId` (`collection-get-shared.response.200.data.reports.view_delivery.1.receiptId`; string, required)
            - format `uuid`
          - `source` (`collection-get-shared.response.200.data.reports.view_delivery.1.source`; string, required)
            - one of `"share"`, `"vault"`, `"direct"`, `"api"`
          - `expiresAt` (`collection-get-shared.response.200.data.reports.view_delivery.1.expiresAt`; string, required)
            - format `date-time`
          - `policyVersion` (`collection-get-shared.response.200.data.reports.view_delivery.1.policyVersion`; string, required)
            - one of `"report-view-delivery-v2"`
        - `object`
          - `status` (`collection-get-shared.response.200.data.reports.view_delivery.2.status`; string, required)
            - one of `"policyExcluded"`
          - `reason` (`collection-get-shared.response.200.data.reports.view_delivery.2.reason`; string, required)
            - one of `"owner_self"`, `"blocked"`, `"non_external_traffic"`
          - `policyVersion` (`collection-get-shared.response.200.data.reports.view_delivery.2.policyVersion`; string, required)
            - one of `"report-view-delivery-v2"`
        - `object`
          - `status` (`collection-get-shared.response.200.data.reports.view_delivery.3.status`; string, required)
            - one of `"unavailable"`
          - `reason` (`collection-get-shared.response.200.data.reports.view_delivery.3.reason`; string, required)
            - one of `"viewer_policy_unavailable"`, `"lineage_unavailable"`, `"tracking_unavailable"`
          - `policyVersion` (`collection-get-shared.response.200.data.reports.view_delivery.3.policyVersion`; string, required)
            - one of `"report-view-delivery-v2"`
    - `collection_ids` (`collection-get-shared.response.200.data.reports.collection_ids`; array<string>, optional)
      - format `uuid`
    - `tags` (`collection-get-shared.response.200.data.reports.tags`; array<object>, optional)
      - `id` (`collection-get-shared.response.200.data.reports.tags.id`; string, required)
        - format `uuid`
      - `name` (`collection-get-shared.response.200.data.reports.tags.name`; string, required)
      - `visibility` (`collection-get-shared.response.200.data.reports.tags.visibility`; string, required)
        - one of `"private"`, `"public"`
  - `sharePermission` (`collection-get-shared.response.200.data.sharePermission`; string, optional)
    - one of `"viewer"`, `"download"`
  - `creditInfoSheets` (`collection-get-shared.response.200.data.creditInfoSheets`; array<map<unknown>>, optional)
  - `loanPackages` (`collection-get-shared.response.200.data.loanPackages`; array<map<unknown>>, optional)
- `meta` (`collection-get-shared.response.200.meta`; object, optional)
  - `timestamp` (`collection-get-shared.response.200.meta.timestamp`; string, required)
    - format `date-time`

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`collection-get-shared.response.400.error`; object, required)
  - `code` (`collection-get-shared.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`collection-get-shared.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`collection-get-shared.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`collection-get-shared.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`collection-get-shared.response.401.error`; object, required)
  - `code` (`collection-get-shared.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`collection-get-shared.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`collection-get-shared.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`collection-get-shared.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`collection-get-shared.response.403.error`; object, required)
  - `code` (`collection-get-shared.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`collection-get-shared.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`collection-get-shared.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`collection-get-shared.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`collection-get-shared.response.404.error`; object, required)
  - `code` (`collection-get-shared.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`collection-get-shared.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`collection-get-shared.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`collection-get-shared.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 409

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`collection-get-shared.response.409.error`; object, required)
  - `code` (`collection-get-shared.response.409.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`collection-get-shared.response.409.error.message`; string, required) — Human-readable error message
  - `details` (`collection-get-shared.response.409.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`collection-get-shared.response.409.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`collection-get-shared.response.500.error`; object, required)
  - `code` (`collection-get-shared.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`collection-get-shared.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`collection-get-shared.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`collection-get-shared.response.500.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/collection-get-shared/index.md
